package at.fos.ermodel.gui;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

import java.io.Serial;


public class Graphic_ATTR_Weak_Key_Elem
        extends Graphic_ATTR_Elem {
    @Serial
    private static final long serialVersionUID = 1L;

    public Graphic_ATTR_Weak_Key_Elem(GraphicsContext gc, double x, double y, String name, long elementID) {
        super(gc, x, y, name, elementID);
    }


    public void dsfdsfds6787686(Color c) {
        if (!this.isVisible)
            return;
        this.gc.beginPath();
        this.gc.setStroke(c);
        this.gc.strokeOval(this.xPos - this.textWidth / 2.0D, this.yPos - this.textHeight / 2.0D, this.textWidth, this.textHeight);
        this.gc.setFill(C2.ERMTextColor);
        this.gc.setStroke(Color.WHITE);
        this.gc.fillText(this.name, this.xPos - this.textWidth / 2.0D + 10.0D, this.yPos + this.textHeight / 2.0D - 15.0D);

        this.gc.setLineWidth(1.0D);
        this.gc.setLineDashes(3.0D);
        this.gc.strokeLine(this.xPos - this.textWidth / 2.0D + 10.0D,
                this.yPos + this.textHeight / 2.0D - 13.0D, this.xPos + this.textWidth / 2.0D - 10.0D, this.yPos + this.textHeight / 2.0D - 13.0D);
        this.gc.setLineDashes();
        this.gc.closePath();
    }


    public String safsafdsa456456456() {
        return "A-WK";
    }
}


